/* Variables */

:root {
  --red: #ea1c24;
  --blue: #2d96eb;
  --green: #2bb373;
  --yellow: #f8ad40;
  --nav-height: 50px;
  --menu-btn-size: var(--nav-height);
  --icon-height: 20px;
  --logo-height: var(--nav-height);
  --logo-width: 300px;
  --text-max-width: 50rem;
  --gallery-item-size: 100px;
  --partner-item-size: var(--gallery-item-size);
}

/* Fonts */

* {
  font-family: 'CarlitoRegular';
  font-weight: normal;
  font-style: normal;
  line-height: 125%;
}

h1, h2, h3, h4, h5, h6, nav *, footer *, p.more a {
  font-family: 'JelleeBold';
  font-weight: normal;
  font-style: normal;
}

b, strong {
  font-family: 'CarlitoBold';
}

i, em {
  font-family: 'CarlitoItalic';
}

i > b, i > strong,
em > b, em > strong,
b > i, b > em,
strong > i, strong > em {
  font-family: 'CarlitoBoldItalic';
}

/* General */

html, body {
  height: 100%;
  margin: 0;
  overflow-x: hidden;
}

/* Use of flex for body and section is for height autofill */
body {
  display: flex;
  flex-flow: column;
  height: 100%;
}

section {
  flex: 1 0 auto;
}

/* Headers */

h1 {
  font-size: 2rem;
  margin: 0 auto 1rem auto;
}

h2 {
  font-size: 1.35rem;
  margin: 1rem auto;
}

h3 {
  margin: 1rem auto;
}

section h1, section h2, section h3 {
  max-width: var(--text-max-width);
}

/* Paragraphs */

section p {
  max-width: var(--text-max-width);
  margin: auto;
}

section p + p {
  margin-top: 1rem;
}

/* Lists */

section ul {
  max-width: var(--text-max-width);
  list-style-type: disc;
  margin: 1rem auto;
}

section li {
  margin: 0 1rem;
}

/* Links */

a[href^="tel:"], #contact a {
	color: inherit;
	font-family: inherit;
	text-decoration: none;
}

/* Sections */

section {
  padding: 2rem 0;
}

section:not(:first-of-type) {
  border-top: 1px dashed var(--green);
}

/* max-width == --text-max-width */
@media all and (max-width: 50rem) {
  body > section {
    margin: 0 1rem;
  }
}

/* Image */

div.img {
  max-width: var(--text-max-width);
  margin: auto;
}

div.img img, div.img svg#ca_map, div.img div.img {
  display: block;
  width: 100%;
  max-width: var(--text-max-width);
  margin: 2rem auto;
  border-radius: 2rem;
}

div.img + h2, div.img + h3 {
  margin-top: -1rem;
}

div.panel img {
  margin: 0;
  border-radius: 2rem / 3rem;
}

/* Video */

div.video iframe {
  width: 100%;
  /* Ratio from original size: 560x315 where 560 = 100vw */
  height: 56.25vw;
}

/* Centered content */

div.center {
  text-align: center;
}

/* Buttons */

button, a.btn, input[type=submit] {
  background-color: var(--green);
  color: white;
  cursor: pointer;
}

a.btn {
	display: inline-block;
	text-align: center;
	margin: 1rem auto;
	text-decoration: none;
  max-width: var(--text-max-width);
	padding: .5rem .75rem;
	font-size: 1.25rem;
	font-weight: bold;
	border-radius: 2rem;
}

button:hover, a.btn:hover, input[type=submit]:hover {
	background: var(--yellow);
}

/* Footer */

footer {
  text-align: center;
  background-color: var(--red);
  padding: 10px;
}

footer * {
  color: white;
}

footer p + p {
  margin-top: 0;
}

footer p.media {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 1rem;
}

footer a.media:not(:first-child) {
  padding-left: 1rem;
}

footer a.media img {
  width: var(--icon-height);
  height: var(--icon-height);
}

/* Other */

.hidden {
  display: none !important;
}

div.float {
  clear: both;
  max-width: var(--text-max-width);
  margin: auto;
}

div.float div {
  float: left;
  width: calc(100% - 20rem);
}

div.float div:first-child {
  background-color: var(--red);
  padding: 1rem;
  border-radius: 1rem;
  color: white;
  margin-right: 3rem;
  margin-bottom: 1rem;
}

/* max-width == --text-max-width */
@media all and (max-width: 50rem) {
  div.float div {
    float: inherit;
    width: calc(100% - 2rem);
  }
}

div.float div:last-child {
  width: 10rem;
}

div.float img {
  width: 100%;
  height: auto;
  border-radius: 1rem;
}

div.float + * {
  clear: both;
}
